Skip to Content
inclamoDocs

Create a team

POST
/api/v1/accounts/{account_id}/teams

Create a team in the account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Request Body

application/json
  1. body
name?string

The name of the team

description?string

The description of the team

allow_auto_assign?boolean

If this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team

icon?string

An emoji or icon shown next to the team

icon_color?string

The color used for the team icon

Response Body

Success

application/json
  1. response
id?number

The ID of the team

name?string

The name of the team

description?|

The description about the team

allow_auto_assign?boolean

If this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team

icon?string

An emoji or icon shown next to the team

icon_color?string

The color used for the team icon

account_id?number

The ID of the account with the team is a part of

is_member?boolean

This field shows whether the current user is a part of the team

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/teams' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "name": "string",  "description": "string",  "allow_auto_assign": true,  "icon": "string",  "icon_color": "string",  "account_id": 0,  "is_member": true}